Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

user/gotolink.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: gotolink.php 6274 2001-07-25 11:06:15Z jhe $
5 //
6 // Created on: <26-Oct-2000 15:02:25 ce>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // include_once( "classes/INIFile.php" );
28 // include_once( "ezlink/classes/ezlink.php" );
29 // include_once( "ezlink/classes/ezhit.php" );
30
31 $ini =& eZINI::instance( 'site.ini' );
32
33 if ( $Action == "addhit" )
34 {
35 $hit = new eZHit();
36 $hit->setLink( $LinkID );
37 $hit->setRemoteIP( $REMOTE_ADDR );
38 $hit->setTime( time() );
39 $hit->store();
40 }
41
42 $link = new eZLink( $LinkID );
43 $location =& $link->url();
44
45 if ( !preg_match( "%^([a-z]+://)%", $location ) )
46 $location = "http://" . $location;
47
48 Header( "Location: " . $location );
49 exit();
50
51 ?>
eZHit
Definition: ezhit.php:40
eZLink
Definition: ezlink.php:65
$Action
$Action
Definition: companysearch.php:80
exit
exit
Definition: folder.php:81
$link
if( $Action=="addhit") $link
Definition: user/gotolink.php:42
$ini
$ini
Definition: user/gotolink.php:31
$location
$location
Definition: user/gotolink.php:43
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.